USE [master]
GO
CREATE DATABASE [demo]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'demo', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\demo.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'demo_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\demo_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [demo] SET COMPATIBILITY_LEVEL = 120
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [demo].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [demo] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [demo] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [demo] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [demo] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [demo] SET ARITHABORT OFF 
GO

ALTER DATABASE [demo] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [demo] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [demo] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [demo] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [demo] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [demo] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [demo] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [demo] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [demo] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [demo] SET  DISABLE_BROKER 
GO

ALTER DATABASE [demo] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [demo] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [demo] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [demo] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [demo] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [demo] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [demo] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [demo] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [demo] SET  MULTI_USER 
GO

ALTER DATABASE [demo] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [demo] SET DB_CHAINING OFF 
GO

ALTER DATABASE [demo] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [demo] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [demo] SET DELAYED_DURABILITY = DISABLED 
GO

ALTER DATABASE [demo] SET  READ_WRITE 
GO


USE [demo]
GO

-- This table is replicated
CREATE TABLE dbo.ping(
	id int IDENTITY(1,1) NOT FOR REPLICATION NOT NULL
	, pingTime datetime NULL,
CONSTRAINT [PK_ping] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)) ON [PRIMARY]

GO

-- This table is NOT replicated
CREATE TABLE dbo.notReplicatedTable(
	id int IDENTITY(1,1) NOT FOR REPLICATION NOT NULL
	, name NVARCHAR(50) NOT NULL,
CONSTRAINT [PK_notReplicatedTable] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)) ON [PRIMARY]

GO



-- Lancer le Query Stress Tool + DemoReader





