
-- /!\ stopper le log reader de l'ancien publisher
-- si on ne stoppe pas le log reader, la migration plante et un des seuls moyens serait de rinitialiser la rplication
-- attendre undistributed commands

:setvar NewDistributor "SRV03"
:setvar NewDistribution "distribution03"
:setvar OldPublisher "SRV01"
:setvar NewPublisher "SRV03"
:setvar Slave "SRV02"
:setvar DatabaseName "demo"
:setvar OldPublicationName "demoPub"
:setvar login "sa"
:setvar pass "Coucou123"

:connect $(OldPublisher) -U $(login) -P $(pass)
EXEC [$(databaseName)].sys.sp_dropsubscription
	@publication = '$(OldPublicationName)'
	,@article = 'all'
	,@subscriber = '$(Slave)'
	,@destination_db = '$(databaseName)'

GO
:connect $(Slave) -U $(login) -P $(pass)
USE [$(DatabaseName)];
GO
EXEC sp_droppullsubscription
     '$(OldPublisher)',
     '$(DatabaseName)',
     '$(OldPublicationName)';
GO
:connect $(NewPublisher) -U $(login) -P $(pass)
EXEC [$(databaseName)].sys.sp_addsubscription
	@publication = '$(OldPublicationName)',
	@subscriber = '$(Slave)',
	@destination_db = '$(DatabaseName)',
	@subscription_type = 'pull',
	@sync_type = 'replication support only',     -- https://docs.microsoft.com/fr-fr/sql/relational-databases/system-stored-procedures/sp-addsubscription-transact-sql?view=sql-server-2017
	@article = 'all',
	@update_mode = 'read only',
	@subscriber_type = 0;
GO
:connect $(Slave) -U $(login) -P $(pass)

EXEC [$(DatabaseName)].sys.sp_addpullsubscription
	@publisher = '$(NewPublisher)',
	@publication = '$(OldPublicationName)',
	@publisher_db = '$(DatabaseName)',
	@independent_agent = 'True',
	@subscription_type = 'pull',
	@update_mode = 'read only',
	@immediate_sync = 0
GO

EXEC [$(DatabaseName)].sys.sp_addpullsubscription_agent
	@publisher = '$(NewPublisher)',
	@publisher_db = '$(DatabaseName)',
	@publication = '$(OldPublicationName)',
	@distributor = '$(NewDistributor)',
	@distributor_security_mode = 0,
	@distributor_login = 'sa',
	@distributor_password = 'Coucou123',
	@enabled_for_syncmgr = 'False',
	@frequency_type = 64,
	@frequency_interval = 0,
	@frequency_relative_interval = 0,
	@frequency_recurrence_factor = 0,
	@frequency_subday = 0,
	@frequency_subday_interval = 0,
	@active_start_time_of_day = 0,
	@active_end_time_of_day = 235959,
	@active_start_date = 20181109,
	@active_end_date = 99991231,
	@alt_snapshot_folder = '',
	@working_directory = '',
	@use_ftp = 'False',
	@job_login = null,
	@job_password = null,
	@publication_type = 0

GO


-- Relancer le log reader !
-- si on switch le publisher sans redmarrer le log reader, la migration plante




