:setvar OldDistributor "SRV01"                -- Based on the diagram: old distributor server
:setvar OldDistribution "distribution01"                    -- old distribution database
:setvar NewDistributor "SRV03"                -- Based on the diagram: new distributor server
:setvar NewDistribution "distribution03"                -- new distribution database
:setvar DatabaseName "demo"                            -- Publication database to move

-- Je vrifie qu'il n'y ait plus de commandes non appliques sur les subscribers

GO
:connect $(NewDistributor) -U sa -P Coucou123
GO
USE [$(NewDistribution)]
GO
SELECT
    sp.name 'publisher',
    da.publication 'publication',
    da.publisher_db 'database',
    ss.name 'subscriber',
    da.name 'agent',
    da.id 'agentid',
    SUM(ds.DelivCmdsInDistDB) 'delivered',
    SUM(ds.UndelivCmdsInDistDB) 'undelivered'
FROM
    dbo.MSdistribution_agents da WITH (READUNCOMMITTED)
    INNER JOIN sys.servers sp WITH (READUNCOMMITTED)
        ON sp.server_id = da.publisher_id
    INNER JOIN sys.servers ss WITH (READUNCOMMITTED)
        ON ss.server_id = da.subscriber_id
    INNER JOIN dbo.MSdistribution_status ds WITH (READUNCOMMITTED)
        ON ds.agent_id = da.id
WHERE da.publisher_db = '$(DatabaseName)'
GROUP BY
    sp.name,
    ss.name,
    da.name,
    da.id,
    da.publication,
    da.publisher_db
GO
:connect $(OldDistributor) -U sa -P Coucou123
GO
USE [$(OldDistribution)]
GO
SELECT
    sp.name 'publisher',
    da.publication 'publication',
    da.publisher_db 'database',
    ss.name 'subscriber',
    da.name 'agent',
    da.id 'agentid',
    SUM(ds.DelivCmdsInDistDB) 'delivered',
    SUM(ds.UndelivCmdsInDistDB) 'undelivered'
FROM
    dbo.MSdistribution_agents da WITH (READUNCOMMITTED)
    INNER JOIN sys.servers sp WITH (READUNCOMMITTED)
        ON sp.server_id = da.publisher_id
    INNER JOIN sys.servers ss WITH (READUNCOMMITTED)
        ON ss.server_id = da.subscriber_id
    INNER JOIN dbo.MSdistribution_status ds WITH (READUNCOMMITTED)
        ON ds.agent_id = da.id
WHERE da.publisher_db = '$(DatabaseName)'
GROUP BY
    sp.name,
    ss.name,
    da.name,
    da.id,
    da.publication,
    da.publisher_db